QWSKeyboardHandler(3qt)

NAME
QWSKeyboardHandler - Keyboard driver/handler for Qt/Embedded

#include <qkeyboard_qws.h>

Inherits QObject.

  Public Members
QWSKeyboardHandler ()
virtual ~QWSKeyboardHandler ()

  Protected Members
virtual void processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat )

DESCRIPTION
Keyboard driver/handler for Qt/Embedded

The keyboard driver/handler handles events from system devices and generates key events.

A QWSKeyboardHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call processKeyEvent() to send the event to Qt/Embedded for relaying to clients.

MEMBER FUNCTION DOCUMENTATION

void QWSKeyboardHandler::processKeyEvent ( int unicode, int keycode, int modifiers, bool isPress, bool autoRepeat ) [virtual protected]
Subclasses call this to send a key event. The server may additionally filter it before sending it on to applications.

unicode is the Unicode value for the key, or 0xFFFF is none is appropriate.

keycode is the Qt keycode for the key (see Qt::Key). for the list of codes).

modifiers is the set of modifier keys (see Qt::Modifier).

isPress says whether this is a press or a release.

autoRepeat says whether this event was generated by an auto-repeat
    mechanism, or an actual key press.

SEE ALSO
http://doc.trolltech.com/qwskeyboardhandler.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qwskeyboardhandler.3qt) and the Qt version (2.3.1).